DEVXOR2EXPR(3)

NAME
devXor2Expr - converts XOR 2 to OR-AND

SYNOPSYS
#include "logmmm.h"
chain_list *devXor2Expr(expr)
chain_list *expr;

PARAMETER

expr
    XOR expression

DESCRIPTION
devXor2Expr() removes XOR 2 at the first level by applying the rule :

(XOR a b) --> (OR (AND a (NOT b)) (AND (NOT a) b))

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr1,*expr2;
/* let's suppose that expr1 = (XOR a b) */
expr2 = devXor2Expr(expr1);
displayExpr(expr2);
/* it will display
(OR (AND a (NOT b)) (AND (NOT a) b))
*/
freeExpr(expr1);
freeExpr(expr2);

SEE ALSO
log(1), abl(1), devXorExpr(3), simplifNotExpr(3), notExpr(3), flatPolarityExpr(3), flatArityExpr(3), sortExpr(3), normExpr(3).